Bug 1411830 - Nvidia GTX 1060 not recognised by nouveau
Summary: Nvidia GTX 1060 not recognised by nouveau
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 25
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 15:16 UTC by Lech
Modified: 2017-12-12 10:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:09:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Lech 2017-01-10 15:16:33 UTC
Description of problem:

During bootup Fedora 25 displays nouveau: 136000a1 unrecognised chipset for gtx 1060 on my optimus notebook. In details in Gnome I have only Intel HD 530 (Skylake GT2) displayed.

This is urgent, since most likely because of that and HDMI monitor can't be seen (HDMI is most likely connected to Nvidia). I will file a separate bug about this.


Version-Release number of selected component (if applicable):


How reproducible:

Try to boot fedora on optimus enabled GALLERIA QSF1060HE laptop with Nvidia gtx 1060.


Steps to Reproduce:
1. Install fedora 25
2. Boot

Actual results:

nouveau: 136000a1 unrecognised chipset message
No nvidia card displayed in details
No HDMI monitor detected

Expected results:

no error message from nouveau
detection of external HDMI monitor

Comment 1 Lech 2017-01-16 01:59:00 UTC
The situation remains unchanged in kernel 4.9.3.

Comment 2 Márcio 2017-01-17 11:40:26 UTC
I have this problem too. Using the proprietary NVIDIA drivers worked but it comes at cost of efficient power management (no Intel/Nvidia switch), battery life becomes half it could be.

Comment 3 Alex. H. F. 2017-02-05 15:14:26 UTC
My Fedora 24 installation on a lenovo B560 (Intel / NVIDIA Optimus) with nouveau (standard video driver) stopped recognizing the Optimus chipset after update to Kernel 4.9.X.
"Just after login to GNOME, video gets frozen."

Deactivating Optimus at BIOS is a workaround to logged to GNOME again.

Now, I suspect I have the same problem as reported here (as well as probably many other users).

I read anywhere in the Kernel Bug-tracking, that Kernel 4.10. should solve problems with NVIDIA-Optimus laptops.

If true, when will Fedora 24 get an update to Kernel 4.10.X??

Many thanks!

Comment 4 Márcio 2017-02-19 07:24:57 UTC
After latest fedora update:

$ lspci -nn | egrep "VGA"

00:02.0 VGA compatible controller [0300]: Intel Corporation HD Graphics 530 [8086:191b] (rev 06)
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GP106M [GeForce GTX 1060 Mobile] [10de:1c20] (rev a1)

Does this means we are close to have optimus support? :D

Comment 5 Alex. H. F. 2017-02-19 10:46:39 UTC
Hi marcio, all,

In fact, during last weeks, since Fedora released Kernel 9.9.7 my NVIDA Optimus has been recognized and seems to be back working as usual.
So, I would suggest you look for an kernel-update.

Comment 6 Fedora End Of Life 2017-11-16 18:44:49 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-12-12 10:09:13 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.